[Apt-listbugs-commits] [SCM] apt-listbugs development tree branch, master, updated. apt-listbugs/0.1.9-11-gc1817f8

Francesco Poli (wintermute) invernomuto at paranoici.org
Wed Jul 10 21:41:42 UTC 2013


The following commit has been merged in the master branch:
commit 896c4f1295e77f668ef3876855448d916a812620
Author: Francesco Poli (wintermute) <invernomuto at paranoici.org>
Date:   Tue Jul 9 23:44:00 2013 +0200

    code cleanup: improve cron.daily code style

diff --git a/debian/cron.daily b/debian/cron.daily
index bdce2cf..c54cf80 100755
--- a/debian/cron.daily
+++ b/debian/cron.daily
@@ -1,7 +1,7 @@
 #!/bin/sh -e
 
-prefclean() {
-
+prefclean()
+{
     test -x /usr/share/apt-listbugs/aptcleanup || return 0
     test -x /usr/sbin/apt-listbugs || return 0
     test -f /etc/apt/preferences || return 0
@@ -9,15 +9,16 @@ prefclean() {
     tmp=$(tempfile)
 
     /usr/share/apt-listbugs/aptcleanup > "$tmp" || return 0
-    if ! diff -B "$tmp" /etc/apt/preferences > /dev/null; then
-        if test -f "/var/backups/apt-listbugs.preferences"; then
+    if ! diff -B "$tmp" /etc/apt/preferences > /dev/null
+    then
+        if test -f "/var/backups/apt-listbugs.preferences"
+        then
             savelog -q /var/backups/apt-listbugs.preferences
         fi
         cp -aH /etc/apt/preferences /var/backups/apt-listbugs.preferences
         cp "$tmp" /etc/apt/preferences
     fi
     /bin/rm -f "$tmp"
-
 }
 
 prefclean

-- 
apt-listbugs development tree



More information about the Apt-listbugs-commits mailing list